> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rdp.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Auth Code

> Retrieve the EPP/transfer authorization code used to transfer the domain to another registrar.



## OpenAPI

````yaml get /domains/{domain}/auth-code
openapi: 3.1.0
info:
  title: APIFiddle Sample Definition
  version: 0.0.0
  description: Example workspace
servers:
  - url: https://rdp.sh/api/v1
    description: Default production endpoint.
security: []
paths:
  /domains/{domain}/auth-code:
    get:
      summary: Get domain auth code
      description: >-
        Retrieve the EPP/transfer authorization code used to transfer the domain
        to another registrar.
      operationId: getDomainAuthCode
      parameters:
        - $ref: '#/components/parameters/domain'
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                title: GetAuthCodeOk
                properties:
                  status:
                    type: boolean
                    examples:
                      - true
                  auth_code:
                    type: string
                    nullable: true
                    description: >-
                      The EPP/transfer authorization code, or null if
                      unavailable.
                    examples:
                      - AUTH123CODE
          description: Authorization code retrieved successfully.
        '403':
          description: User does not own the domain, or the domain is suspended.
        '422':
          description: Failed to retrieve the auth code from the registrar.
      security:
        - Authorization: []
components:
  parameters:
    domain:
      in: path
      name: domain
      schema:
        type: integer
      required: true
      description: Domain ID
  securitySchemes:
    Authorization:
      in: header
      name: Authorization
      type: apiKey

````